=== debian/changelog ===
pandoc (0.46+2) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Remove bogus dependency on libghc6-uulib-dev.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 18:40:00 +0200

pandoc (0.46+1) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Migrate to GHC 6.8.2.  Closes: #461606
    + Add new dependencies libghc6-regex-compat-dev and libghc6-uulib-dev.
    + Remove the code in debian/rules which attempts to remove empty ghc6.6
      include directory.  This code may cause an installation failure for the
      -dev package.  Closes: #460658
    + Fix doc-base to prevent a lintian warning.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 04:41:46 +0200

pandoc (0.46) unstable; urgency=low

  [ John MacFarlane ]

  * Made -H, -A, and -B options cumulative: if they are specified
    multiple times, multiple files will be included.

  * Added optional HTML sanitization using a whitelist.
    When this option is specified (--sanitize-html on the command line),
    unsafe HTML tags will be replaced by HTML comments, and unsafe HTML
    attributes will be removed.  This option should be especially useful
    for those who want to use pandoc libraries in web applications, where
    users will provide the input.
    
    + Main.hs:  Added --sanitize-html option.

    + Text.Pandoc.Shared:  Added stateSanitizeHTML to ParserState.

    + Text.Pandoc.Readers.HTML:
      - Added whitelists of sanitaryTags and sanitaryAttributes.
      - Added parsers to check these lists (and state) to see if a given
        tag or attribute should be counted unsafe.
      - Modified anyHtmlTag and anyHtmlEndTag to replace unsafe tags
        with comments.
      - Modified htmlAttribute to remove unsafe attributes.
      - Modified htmlScript and htmlStyle to remove these elements if
        unsafe.

    + Modified README and man pages to document new option.

  * Improved handling of email addresses in markdown and reStructuredText.
    Consolidated uri and email address parsers.  (Resolves Issue #37.)

    + New emailAddress and uri parsers in Text.Pandoc.Shared.
      - uri parser uses parseURI from Network.URI.
      - emailAddress parser properly handles email addresses with periods
        in them.

    + Removed uri and emailAddress parsers from Text.Pandoc.Readers.RST
      and Text.Pandoc.Readers.Markdown.

  * Markdown reader:

    + Fixed emph parser so that "*hi **there***" is parsed as a Strong
      nested in an Emph. (A '*' is only recognized as the end of the
      emphasis if it's not the beginning of a strong emphasis.)

    + Moved blockQuote parser before list parsers for performance.

    + Modified 'source' parser to allow backslash-escapes in URLs.
      So, for example, [my](/url\(1\)) yields a link to /url(1).
      Resolves Issue #34.

    + Disallowed links within links. (Resolves Issue #35.)
      - Replaced inlinesInBalanced with inlinesInBalancedBrackets, which 
        instead of hard-coding the inline parser takes an inline parser
        as a parameter.
      - Modified reference and inlineNote to use inlinesInBalancedBrackets.
      - Removed unneeded inlineString function.
      - Added inlineNonLink parser, which is now used in the definition of
        reference.
      - Added inlineParsers list and redefined inline and inlineNonLink parsers
        in terms of it.
      - Added failIfLink parser.
 
    + Better handling of parentheses in URLs and quotation marks in titles.
      - 'source' parser first tries to parse URL with balanced parentheses;
        if that doesn't work, it tries to parse everything beginning with
        '(' and ending with ')'.
      - source parser now uses an auxiliary function source'.
      - linkTitle parser simplified and improved, under assumption that it
        will be called in context of source'.

    + Make 'block' conditional on strictness state, instead of using
      failIfStrict in block parsers. Use a different ordering of parsers
      in strict mode (raw HTML block before paragraph) for performance.
      In non-strict mode use rawHtmlBlocks instead of htmlBlock.
      Simplified htmlBlock, since we know it's only called in strict
      mode.

    + Improved handling of raw HTML.  (Resolves Issue #36.)
      - Tags that can be either block or inline (e.g. <ins>) should
        be treated as block when appropriate and as inline when
        appropriate. Thus, for example,
        <ins>hi</ins>
        should be treated as a paragraph with inline <ins> tags, while
        <ins>
        hi
        </ins>
        should be treated as a paragraph within <ins> tags.
      - Moved htmlBlock after para in list of block parsers.  This ensures
        that tags that can be either block or inline get parsed as inline
        when appropriate.
      - Modified rawHtmlInline' so that block elements aren't treated as
        inline.
      - Modified para parser so that paragraphs containing only HTML tags and
        blank space are not allowed.  Treat these as raw HTML blocks instead.

    + Fixed bug wherein HTML preceding a code block could cause it to
      be parsed as a paragraph.  The problem is that the HTML parser
      used to eat all blank space after an HTML block, including the
      indentation of the code block.  (Resolves Issue #39.)
      - In Text.Pandoc.Readers.HTML, removed parsing of following space
        from rawHtmlBlock.
      - In Text.Pandoc.Readers.Markdown, modified rawHtmlBlocks so that
        indentation is eaten *only* on the first line after the HTML
        block.  This means that in
        <div>
             foo
        <div>
        the foo won't be treated as a code block, but in
        <div>
      
            foo
      
        </div>
        it will.  This seems the right approach for least surprise.

  * RST reader:

    + Fixed bug in parsing explicit links (resolves Issue #44).

