=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Recai Oktaş <roktas@debian.org>
Build-Depends: debhelper (>= 4.0.0), haskell-devscripts (>=0.5.12), ghc6 (>= 6.8.2-1), libghc6-xhtml-dev, libghc6-mtl-dev, libghc6-network-dev, libghc6-regex-compat-dev, perl
Build-Depends-Indep: haddock
Standards-Version: 3.7.3
Homepage: http://johnmacfarlane.net/pandoc/
XS-Vcs-Svn: http://pandoc.googlecode.com/svn/trunk
XS-Vcs-Browser: http://pandoc.googlecode.com/svn/trunk

Package: pandoc
Section: text
Architecture: any
Depends: ${shlibs:Depends}
Suggests: texlive-latex-recommended | tetex-extra, tidy, wget | w3m
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.

Package: libghc6-pandoc-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}, libghc6-xhtml-dev, libghc6-mtl-dev, libghc6-network-dev, libghc6-regex-compat-dev
Suggests: pandoc-doc
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC 6.

Package: pandoc-doc
Section: doc
Architecture: all
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.
