=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for pandoc.
# Copyright © 2006  Recai Oktaş <roktasATdebian.org>
#
# This file is based on John Goerzen's Cabal Debian template.
# See http://www.n-heptane.com/nhlab/repos/cabalDebianTemplate/
#
# Licensed under the GNU General Public License, version 2.
# See the file 'http://www.gnu.org/copyleft/gpl.txt'.

THIS    := $(shell sed -ne 's/^Source: \(.*\)/\1/p' debian/control)
PREFIX  := /usr
DESTDIR := debian/$(THIS)
DATADIR := $(THIS)
DOCDIR  := doc/$(THIS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (1,$(DH_VERBOSE))
HCFLAGS+=-v
endif

# Handle noopt in DEB_BUILD_OPTIONS.  Emulate CFLAGS (as HCFLAGS).
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
HCFLAGS+=-O0
else
# No optimisation seems optimum.
HCFLAGS+=-O0
endif

# Export all variables which will be used in various stages of build process.
export PREFIX DESTDIR DATADIR DOCDIR HCFLAGS

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) configure

	touch $@

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	dh_haskell -a

	# Hack!  Cabal builds executables while building libraries.  Move these
	# files to top dir where the Makefile install target expects to find.
	# See "BUGS" section at the following document:
	# http://www.n-heptane.com/nhlab/repos/cabalDebianTemplate/INSTRUCTIONS.txt
	find debian/libghc6-$(THIS)-dev -type d -name 'bin' -true | \
		while read bin; do mv $$bin/* .; rm -rf $$bin; done
	$(MAKE) install-program

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(MAKE) build-lib-doc

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_strip -a -Xhtml2 -Xmarkdown2 -Xlatex2 -Xrst2
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-indep install-indep
