## pandoc 1.5.1.1

=== debian/changelog ===
pandoc (1.5.1.1-5) unstable; urgency=low

  * Lower priority of -dev and -doc packages to extra, to match
    overrides.
  * Disable timer to help build on slow arches like hppa.
  * Bump Policy compliance to Standards-Version 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Jun 2010 20:59:24 +0200

pandoc (1.5.1.1-4) unstable; urgency=low

  [ John MacFarlane ]
  * Fix install s5 and data directories.

  [ Jonas Smedegaard ]
  * Update watch file to use googlecode.debian.net redirector.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jun 2010 20:51:12 +0200

pandoc (1.5.1.1-3) unstable; urgency=low

  * Really enable threaded RTS only when supported (not when not
    supported, which obviously won't work).
    Closes: bug#578660, thanks to Dann Frazier.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 18:23:28 +0200

pandoc (1.5.1.1-2) unstable; urgency=low

  * Add patch 0001 from upstream implementing configure option -
    threaded.
  * Enable threaded RTS only when supported.
  * Drop some TODOs now solved.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 10:19:50 +0200

pandoc (1.5.1.1-1) unstable; urgency=low

  * New upstream release. Closes: 499864.
    + Pandoc no longer requires Template Haskell.
      Closes: bug#559978.
    + Added --base-header-level option.
      Closes: bug#563416.
    + wrapper script html2markdown dropped.
    + Supports new output formats plain text, OpenDocument XML, ODT, GNU
      Texinfo and MediaWiki markup.
  * Update package relations to match new upstream release:
    + Tighten build-dependency on libghc6-zip-archive-dev.
    + Build-depend on libghc6-http-dev, libghc6-texmath-dev,
      libghc6-xml-dev and libghc6-extensible-exceptions-dev.
    + Drop suggestion on tidy, wget or w3m.
  * Tighten build-dependency on cdbs.
  * Drop all local CDBS snippets, and stop declaring DEB_MAINTAINER_MODE
    in rules file: all included with main cdbs package now.
  * Line-wrap changelog at 72 characters, to please lintian.
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Fix have -dev package depend on libghc6-highlighting-kate-doc (not
    bogus highlighting-kate-doc).
    Closes: bug#571402, thanks to Lucas Nussbaum.
  * Fix have pandoc package suggest texlive-latex-extra (not only
    texlive-latex-recommended), for ucs.sty needed for PDF output.
    Closes: bug#571678, thanks to Decklin Foster.
  * Drop fallback-suggestion on tetex-extra: dropped since Lenny
    (stable) and unneeded even for Etch (oldstable).
  * Update long descriptions:
    + Advertise new output formats.
    + Clarify Markdown enhancements as optional.
    + Slightly rephrase comparison with other Markdown parsers.
    + Stop advertising wrapper script html2markdown.
    + Mention wrapper script markdown2pdf by name.
    + Mention markdown2pdf requirements on texlive-latex-extra and
      texlive-xetex.
  * Skip copyright-check of some binary files, to avoid hint file
    accidentally treated as binary.
  * Drop configure option -f-wrappers (to generate Haskell binary for
    markdown2pdf instead of using the deprecated shell wrapper script.
  * Add README.Debian to pandoc package, documenting LaTeX requirements
    of markdown2pdf.
    Closes: bug#488642, thanks to intrigeri.
  * Ship hsmardown.1 manpage with packaging source (provided by upstream
    but considered unsuitable for upstream distribution).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 00:26:54 +0200

pandoc (1.3-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release.
  * Install (through cdbs) manpages with dh_installman (not dh_install).
  * Drop unneeded configure flag: wrappers.
  * Update local CDBS snippets:
    + Use snippets copyright-check.mk, upstream-tarball.mk and
      buildinfo.mk.
    + Adjust snippets regarding declared build-dependencies.
    + Temporarily work around minor package-relations.mk brokenness.
  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Add watch file.
  * Fix source stanza in debian/copyright.
  * Switch to source format 3.0 (quilt).

  [ John MacFarlane ]
  * Adjust build-dependencies:
    + Remove alex, c2hs, cpphs, hugs, happy, hmake, hscolour, pkg-config
    + Add hscolour >= 1.8 (for building docs).
  * Fix man page path.
  * Add build depends for doc package.
  * Add hsmarkdown and markdown2pdf scripts in pandoc.install.
  * Add -f-wrappers so Haskell wrappers won't be built.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Dec 2009 10:41:19 +0100

pandoc (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Friendly takeover: Update maintainer field in debian/control.
  * Repackage using CDBS.
  * Resolve all package releationships (except arch-independent build-
    dependencies) in debian/rules, and enable semi-auto-update of
    debian/control.
  * Explicitly build-depend on directly used libraries, and drop no
    longer used perl.
  * Bump debhelper compat level to 6 (newest version supported by
    oldstable - v7 provides no benefit here).
  * Packaging moved to collab-maint Git at Alioth. Update Vcs-*
    stanzas.
  * Bump Policy compliance to standards-version 3.8.3.
  * Package cabal library and its documentation separately.
  * Update doc-base section to Programming (from Apps/Programming).
  * Build-depend on alex, c2hs, cpphs, hugs, happy, hmake, hscolour and
    pkg-config, all possibly used by upstream build system.
  * Enable configure flags for wrappers and highlighting, and build-
    depend versioned on libghc6-highlighting-kate-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Sep 2009 20:02:34 +0200

pandoc (0.46+2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Text/Pandoc/Definition.hs: Patch file to fix Haddock parse
    error which led to FTBFS. Move annotation of type synonym to before
    the definition. (Closes: #536960)

 -- Iain Lane <laney@ubuntu.com>  Tue, 04 Aug 2009 14:22:55 +0100
