=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 ghc6 (>= 6.8.2),
 libghc6-mtl-dev,
 libghc6-parsec2-dev (>= 2.1),
 libghc6-network-dev,
 libghc6-utf8-string-dev,
 libghc6-xhtml-dev,
 libghc6-zip-archive-dev (>= 0.1.1.4),
 libghc6-http-dev (>= 40000005),
 libghc6-texmath-dev,
 libghc6-xml-dev (>= 1.3.5),
 libghc6-xml-dev (<< 1.4),
 libghc6-extensible-exceptions-dev,
 libghc6-highlighting-kate-dev (>= 0.2.3),
 hscolour (>= 1.8),
 ghc6-doc (>= 6.8.2),
 libghc6-highlighting-kate-doc (>= 0.2.3),
 libghc6-xhtml-doc,
 libghc6-parsec2-doc (>= 2.1),
 haskell-pcre-light-doc,
 haskell-devscripts (>=0.5.12)
Build-Depends-Indep: haddock
Standards-Version: 3.9.0
Homepage: http://johnmacfarlane.net/pandoc/
Vcs-Git: git://git.debian.org/git/collab-maint/pandoc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pandoc.git;a=summary

Package: pandoc
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool itself, and the wrapper script
 markdown2pdf for converting markdown documents to PDFs via LaTeX
 (requires texlive-latex-extra) or XeLaTeX (requires texlive-xetex).

Package: libghc6-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}, ${cdbs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.
